﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace LapAnalysis
{
    class Program
    {
        static void Main(string[] args)
        {
            // 例2-15 forループを使用してベストラップタイムを探す
            string[] lines = File.ReadAllLines("LapTimes.txt");
            double currentLapStartTime = 0;
            double fastestLapTime = 0;
            int fastestLapNumber = 0;
            for (int lapNumber = 1; lapNumber <= lines.Length; lapNumber++)
            {
                double lapEndTime = double.Parse(lines[lapNumber - 1]);
                double lapTime = lapEndTime - currentLapStartTime;
                if (fastestLapTime == 0 || lapTime < fastestLapTime)
                {
                    fastestLapTime = lapTime;
                    fastestLapNumber = lapNumber;
                }
                currentLapStartTime = lapEndTime;
            }
            Console.WriteLine("周回: " + fastestLapNumber);
            Console.WriteLine("ベストラップタイム: " + fastestLapTime);
        }
    }
}
