﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RaceInfo
{
    class Program
    {
        static void Main(string[] args)
        {
            double kmTravelled = double.Parse(args[0]);
            double elapsedSeconds = double.Parse(args[1]);
            double fuelKilosConsumed = double.Parse(args[2]);

            double fuelTankCapacityKilos = 80;
            double lapLength = 5.141;

            double fuelKilosPerKm = fuelKilosConsumed / kmTravelled;
            double fuelKilosRemaining = fuelTankCapacityKilos - fuelKilosConsumed;
            double predictedDistanceUntilOutOfFuel = fuelKilosRemaining / fuelKilosPerKm;
            double predictedLapsUntilOutOfFuel =
                predictedDistanceUntilOutOfFuel / lapLength;

            if (predictedLapsUntilOutOfFuel < 4)
            {
                Console.WriteLine("Low on fuel. Laps remaining: " +
                predictedLapsUntilOutOfFuel);
            }


            // 例2-11をコンパイルするためには追加の変数が必要です。
            // 実際のアプリケーションではこれらの値はプログラムの引数、あるいは
            // データベースから受け取ることになるでしょう。このことからもわかるように
            // このプログラムをそのままの形で利用することは現実的ではありません。
            bool ourDriverCausedIncident = false;
            bool feelingGenerous = true;


            // 例2-11 switchおよびcaseステートメントを使用して複数の条件に対する判断を行う
            string raceStatus = args[3];
            switch (raceStatus)
            {
                case "YellowFlag":
                    Driver.TellNotToOvertake();
                    break;
                case "SafetyCar":
                    Driver.WarnAboutSafetyCar();
                    break;
                case "RedFlag":
                    if (ourDriverCausedIncident)
                    {
                        Factory.OrderNewCar();
                        Driver.ReducePay();
                        if (feelingGenerous)
                        {
                            Driver.Resuscitate();
                        }
                    }
                    else
                    {
                        Driver.CallBackToPit();
                    }
                    break;
                default:
                    Driver.TellToDriveFaster();
                    break;
            }
        }
    }
}
