﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

class Plane
{
    // 引数つきのコンストラクタ
    public Plane(string newIdentifier)
    {
        Identifier = newIdentifier;
    }

    public string Identifier
    {
        get;
        private set;
    }

    const double kilometersPerMile = 1.609344;

    // 例3-15 下手に書かれたデバッグコード
    public double SpeedInMilesPerHour
    {
        get
        {
            return SpeedInKilometersPerHour / kilometersPerMile;
        }
        set
        {
            Identifier += ": 速度が" + value + "に変更されました。";
            Console.WriteLine(Identifier);
            SpeedInKilometersPerHour = value * kilometersPerMile;
        }
    }

    public double SpeedInKilometersPerHour
    {
        get;
        set;
    }
}