﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

// 例3-17 部分的に改善されたものの不完全な読み取り専用プロパティ
class Plane
{
    public Plane(string newIdentifier)
    {
        _identifier = newIdentifier;
    }

    public string Identifier
    {
        get { return _identifier; }
    }
    private string _identifier;

    const double kilometersPerMile = 1.609344;

    // 例3-18 「賢く」下手に書かれたデバッグコード
    public double SpeedInMilesPerHour
    {
        get
        {
            return SpeedInKilometersPerHour / kilometersPerMile;
        }
        set
        {
            _identifier += ": 速度が" + value + "に変更されました。";
            Console.WriteLine(Identifier);
            SpeedInKilometersPerHour = value * kilometersPerMile;
        }
    }

    public double SpeedInKilometersPerHour
    {
        get;
        set;
    }
}