﻿struct PolarPoint3D
{
    public PolarPoint3D(double distance, double angle)
        : this(distance, angle, 0)
    {
    }

    public PolarPoint3D(
        double distance,
        double angle,
        double altitude)
        : this()
    {
        Distance = distance;
        Angle = angle;
        Altitude = altitude;
    }

    // 例3-31 過度のコンストラクタ
    // 注釈: このコードはコンパイルできません。
    //       理由は本文を参照してください。
    public PolarPoint3D(
        double altitude,
        double angle)
        : this(0, angle, altitude)
    {
    }

    public double Distance
    {
        get;
        private set;
    }
    public double Angle
    {
        get;
        private set;
    }
    public double Altitude
    {
        get;
        private set;
    }
}