﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

// 例3-16 読み取り専用プロパティの間違った定義
// 注釈: このコードはコンパイルできません。理由は本文を参照してください。
class Plane
{
    // 間違い!
    public string Identifier
    {
        get;
    }
    
    // 引数つきのコンストラクタ
    public Plane(string newIdentifier)
    {
        Identifier = newIdentifier;
    }


    const double kilometersPerMile = 1.609344;

    public double SpeedInMilesPerHour
    {
        get
        {
            return SpeedInKilometersPerHour / kilometersPerMile;
        }
        set
        {
            Identifier += ": 速度が" + value + "に変更されました。";
            Console.WriteLine(Identifier);
            SpeedInKilometersPerHour = value * kilometersPerMile;
        }
    }

    public double SpeedInKilometersPerHour
    {
        get;
        set;
    }
}