﻿using System;
using System.Windows;

// 例4-2 必須の装備であるはしごを備えた消防車
class Firetruck
{
    public Firefighter Driver { get; set; }

    readonly Ladder ladder = new Ladder { Length = 30.0 };
    public Ladder Ladder
    {
        get
        {
            return ladder;
        }
    }

    public void Drive(Point coordinates)
    {
        if (Driver == null)
        {
            // 運転手でなければ運転できません。
            return;
        }
        Console.WriteLine("{0}へ向けて運転中", coordinates);
    }
}
