﻿using System;

class Firefighter : FirefighterBase
{
    public override void ExtinguishFire()
    {
        Console.WriteLine("{0}は消火中です！", Name);
        TrainHoseOnFire();
        TurnOnHose();
    }

    protected virtual void TurnOnHose()
    {
        Console.WriteLine("火は消えつつあります。");
    }

    protected virtual void TrainHoseOnFire()
    {
        Console.WriteLine("ホースを火に向けています。");
    }

}