﻿using System;

// 例4-12 基底クラスの呼び出しによる重複の除去
class TraineeFirefighter : Firefighter
{
    private bool hoseTrainedOnFire;
    protected override void TurnOnHose()
    {
        if (hoseTrainedOnFire)
        {
            // 基底の実装を呼び出します
            base.TurnOnHose();
        }
        else
        {
            Console.WriteLine("あちこちに水がばらまかれています！");
        }
    }
    protected override void TrainHoseOnFire()
    {
        hoseTrainedOnFire = true;
        base.TrainHoseOnFire();
    }
}
