﻿using System;

// 例4-26 インタフェースの1つを明示的に実装する
class AFootInBothCamps : INamedPerson, ISettableNamedPerson
{
    private string settableName;
    
    // 通常通りの実装
    public string Name
    {
        get
        {
            Console.WriteLine("INamedPersonインタフェース経由でのアクセス");
            return settableName;
        }
    }
    
    string ISettableNamedPerson.Name
    {
        get
        {
            return settableName;
        }
        set
        {
            Console.WriteLine(
                "ISettableNamedPersonインタフェース経由でのアクセス");

            if (value != null && value.Contains(" "))
            {
                // 空白文字を含む場合はセットできません
                return;
            }
            settableName = value;
        }
    }
}