﻿using System.Text;

// 例4-15 管理スタッフを表すクラス
class Administrator
{
    public string Title { get; set; }
    public string Forename { get; set; }
    public string Surname { get; set; }
    public string Name
    {
        get
        {
            StringBuilder name = new StringBuilder();
            AppendWithSpace(name, Title);
            AppendWithSpace(name, Forename);
            AppendWithSpace(name, Surname);
            return name.ToString();
        }
    }
    void AppendWithSpace(StringBuilder builder, string stringToAppend)
    {
        // 追加すべき文字列が空なら何もせずに終了します。
        if (string.IsNullOrEmpty(stringToAppend))
        {
            return;
        }
        // すでに何らかのテキストがある場合にはスペースを追加してから文字列を追加します。
        if (builder.Length > 0)
        {
            builder.Append(" ");
        }
        builder.Append(stringToAppend);
    }
}
