﻿using System;

// 例4-13 リファクタリングされた基底クラス(パート2)
class Firefighter : FirefighterBase
{
    public override void ExtinguishFire()
    {
        Console.WriteLine("{0}は消火作業中です！", Name);
        TrainHoseOnFire();
        TurnOnHose();
    }
    protected virtual void TurnOnHose()
    {
        Console.WriteLine("火は消えつつあります。");
    }
    protected virtual void TrainHoseOnFire()
    {
        Console.WriteLine("ホースを火に向けています。");
    }
}