﻿using System;
using System.Windows;

// 例4-13 リファクタリングされた基底クラス(パート1)
abstract class FirefighterBase
{
    public abstract void ExtinguishFire();
    public string Name { get; set; }
    public void Drive(Firetruck truckToDrive, Point coordinates)
    {
        if (truckToDrive.Driver != this)
        {
            // 運転手でない場合は消防車を運転できません。
            return;
        }
        truckToDrive.Drive(coordinates);
    }
}