﻿using System;

// 例4-14 新しくリファクタリングされた基底クラス
class TraineeFirefighter : Firefighter
{
    private bool hoseTrainedOnFire;

    protected override void TurnOnHose()
    {
        if (hoseTrainedOnFire)
        {
            Console.WriteLine("火は消えつつあります。");
        }
        else
        {
            Console.WriteLine("あちこちに水がばらまかれています！!");
        }
    }

    protected override void TrainHoseOnFire()
    {
        hoseTrainedOnFire = true;
        Console.WriteLine("ホースを火に向けています。");
    }
}
