﻿using System;
using System.Windows;

// 例4-1 消防隊員と消防車を表すクラス(パート1)
class Firefighter
{
    public string Name { get; set; }
    public void ExtinguishFire()
    {
        Console.WriteLine("{0} is putting out the fire!", Name);
    }
    public void Drive(Firetruck truckToDrive, Point coordinates)
    {
        if (truckToDrive.Driver != this)
        {
            // 運転手でない場合は消防車を運転できません。
            // ですが、何事もなかったかのように失敗するのは最悪です。
            // クライアントに失敗を知らせる手段を
            // 構造化したものが必要です。
            // この方法については6章で紹介します。
            return;
        }
        truckToDrive.Drive(coordinates);
    }
}