﻿using System;
using System.Runtime.Serialization;

namespace ErrorExample
{
    // 例6-23 独自の例外
    [Serializable]
    class TurtleException : Exception
    {
        public TurtleException()
        { }

        public TurtleException(string message)
            : base(message)
        { }

        public TurtleException(string message, Exception innerException)
            : base(message, innerException)
        { }

        // シリアル化をサポートするためのコンストラクタ
        protected TurtleException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        { }
    }
}
