﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GenericList
{
    class Program
    {
        static void Main(string[] args)
        {
            List<CalendarEvent> events1 = new List<CalendarEvent>
            {
                new CalendarEvent
                {
                    Title = "サウスバンクでスウィング・ダンス",
                    StartTime = new DateTimeOffset (2009, 7, 11, 15, 00, 00, TimeSpan.Zero),
                    Duration = TimeSpan.FromHours(4)
                },
                new CalendarEvent
                {
                    Title = "サタデー・ナイト・スウィング",
                    StartTime = new DateTimeOffset (2009, 7, 11, 19, 30, 00, TimeSpan.Zero),
                    Duration = TimeSpan.FromHours(6.5)
                },
                new CalendarEvent
                {
                    Title = "F1 ドイツグランプリ",
                    StartTime = new DateTimeOffset (2009, 7, 12, 12, 10, 00, TimeSpan.Zero),
                    Duration = TimeSpan.FromHours(3)
                }
            };

            List<CalendarEvent> events2 = new List<CalendarEvent>
            {
                new CalendarEvent
                {
                    Title = "スウィング・ダンス・ピクニック",
                    StartTime = new DateTimeOffset (2009, 7, 12, 15, 00, 00, TimeSpan.Zero),
                    Duration = TimeSpan.FromHours(4)
                },
                new CalendarEvent
                {
                    Title = "100 Clubでのスウィングダンスイベント",
                    StartTime = new DateTimeOffset (2009, 7, 13, 19, 45, 00, TimeSpan.Zero),
                    Duration = TimeSpan.FromHours(5)
                }
            };

            // 例7-23 あるリストから別のリストに要素を追加する
            events1.AddRange(events2);

            PrintEvents(events1);

            Console.WriteLine("リストの要素: " + events1[2].Title);
        }

        static void PrintEvents(List<CalendarEvent> events)
        {
            foreach (CalendarEvent item in events)
            {
                Console.WriteLine(item.Title + ": " + item.StartTime);
            }
        }
    }
}
