﻿using System;

namespace StringSplit
{
    class Program
    {
        static void Main(string[] args)
        {
            ShowArray(SplitByArray("One,Two Three, Four. Five."));
            ShowArray(SplitByParams("One,Two Three, Four. Five."));
        }

        static void ShowArray(string[] array)
        {
            foreach (string item in array)
            {
                Console.WriteLine(item);
            }
            Console.WriteLine();
        }

        static string[] SplitByArray(string inputString)
        {
            // 例7-8 クラスライブラリで利用されている配列引数
            string[] items = inputString.Split(
                new char[] { ' ', ',', '.' },
                StringSplitOptions.RemoveEmptyEntries);

            return items;
        }

        static string[] SplitByParams(string inputString)
        {
            string[] items = inputString.Split(' ', ',', '.');

            return items;
        }

    }
}
