﻿using System;

namespace CompositeFormatting
{
    class Program
    {
        static void Main(string[] args)
        {
            // 例10-44 String.Format の基本的な用法
            int val1 = 32;
            double val2 = 123.457;
            DateTime val3 = new DateTime(1999, 11, 1, 17, 22, 25);
            string formattedString = String.Format("値1: {0}, 値2: {1}, 値3: {2}",
            val1, val2, val3);
            Console.WriteLine(formattedString);

            // 例10-45 String.Format の書式文字列を利用
            int first = 32;
            double second = 123.457;
            DateTime third = new DateTime(1999, 11, 1, 17, 22, 25);
            string output = String.Format(
            "日付: {2:d}, 時間: {2:t}, 値1: {0}, 値2: {1:#.##}",
            first, second, third);
            Console.WriteLine(output);
        }
    }
}
