﻿using System;
using System.Text;

namespace EncodingExamples
{
    class Program
    {
        // 例10-80 テキストのエンコード
        static void Main(string[] args)
        {
            string listenUp = "Listen up!";
            byte[] utf8Bytes = Encoding.UTF8.GetBytes(listenUp);
            byte[] asciiBytes = Encoding.ASCII.GetBytes(listenUp);
            Console.WriteLine("UTF-8");
            Console.WriteLine("-----");
            foreach (var encodedByte in utf8Bytes)
            {
                Console.Write(encodedByte);
                Console.Write(" ");
            }
            Console.WriteLine();
            Console.WriteLine();
            Console.WriteLine("ASCII");
            Console.WriteLine("-----");
            foreach (var encodedByte in asciiBytes)
            {
                Console.Write(encodedByte);
                Console.Write(" ");
            }
            Console.ReadKey();

            NonAscii();
        }

        private static void NonAscii()
        {
            // 例10-81 非ASCII 文字の使用
            string listenUp = "Écoute-moi!";
            byte[] utf8Bytes = Encoding.UTF8.GetBytes(listenUp);
            byte[] asciiBytes = Encoding.ASCII.GetBytes(listenUp);
            Console.WriteLine("UTF-8");
            Console.WriteLine("-----");
            foreach (var encodedByte in utf8Bytes)
            {
                Console.Write(encodedByte);
                Console.Write(" ");
            }
            Console.WriteLine();
            Console.WriteLine();
            Console.WriteLine("ASCII");
            Console.WriteLine("-----");
            foreach (var encodedByte in asciiBytes)
            {
                Console.Write(encodedByte);
                Console.Write(" ");
            }

            // 例10-82 テキストのデコード
            string decodedUtf8 = Encoding.UTF8.GetString(utf8Bytes);
            string decodedAscii = Encoding.ASCII.GetString(asciiBytes);
            Console.WriteLine();
            Console.WriteLine();
            Console.WriteLine("Decoded UTF-8");
            Console.WriteLine("-------------");
            Console.WriteLine(decodedUtf8);
            Console.WriteLine();
            Console.WriteLine();
            Console.WriteLine("Decoded ASCII");
            Console.WriteLine("-------------");
            Console.WriteLine(decodedAscii);

            Console.ReadKey();
        }
    }
}
