﻿using System.IO;

namespace StreamWriterExample
{
    class Program
    {
        // 例11-21 StreamWriter の作成
        // 例11-22 StreamWriter による文字列書き込み
        // (11-22は11-21を発展させたもので、単にwriter.Writeを呼び出すようにしているだけです。)
        private static void CreateFile(string fullPath, string p)
        {
            using (StreamWriter writer = File.CreateText(fullPath))
            {
                // ここでStreamWriterを使用します

                writer.Write(p);
            }
        }
        static void Main(string[] args)
        {
            CreateFile("Test.txt", "Contents");
        }
    }
}
