﻿using System.ServiceModel;

namespace ChatServerLibrary
{
    // 例13-9 双方向コントラクト
    [ServiceContract(
        CallbackContract = typeof(IChatClient),
        SessionMode = SessionMode.Required)]
    public interface IChatService
    {
        [OperationContract]
        bool Connect(string name);

        [OperationContract]
        void PostNote(string note);

        [OperationContract]
        void Disconnect();
    }
}
