﻿using System;
using System.Net;

namespace AsyncProgrammingModel
{
    // 例16-16 非同期プログラミングモデルの利用
    class Program
    {
        static void Main(string[] args)
        {
            Dns.BeginGetHostEntry("oreilly.com", OnGetHostEntryComplete, 42);
            Console.ReadKey();
        }

        static void OnGetHostEntryComplete(IAsyncResult iar)
        {
            IPHostEntry result = Dns.EndGetHostEntry(iar);
            Console.WriteLine(result.AddressList[0]);
            Console.WriteLine(iar.AsyncState);
        }
    }
}
