﻿using System;
using System.Threading;

class Program
{
    static void Main(string[] args)
    {
        // 匿名メソッドのおかげで、すべてのスレッドから参照できます。
        // (今回の問題の原因です。)
        int i = 0;

        ParameterizedThreadStart go = delegate(object name)
        {
            // 適切な保護なしに共有状態を変更しています。良くありません!
            for (; i < 100; ++i)
            {
                Console.WriteLine("{0}: {1}", name, i);
            }
        };

        Thread t1 = new Thread(go);
        Thread t2 = new Thread(go);

        t1.Start("One");
        t2.Start("Two");

        go("Main");
    }
}