﻿using System;
using System.Reflection;

namespace ReflectingOnMembersOfAType
{
    public class Tester
    {
        public static void Main()
        {
            // 1つの型情報を取り出します
            Assembly a = Assembly.Load("Mscorlib");
            Type theType = a.GetType("System.Reflection.Assembly");
            Console.WriteLine("\n取り出した1つの型情報： {0}\n", theType);

            // すべてのメンバ情報を取得します
            MemberInfo[] mbrInfoArray = theType.GetMembers();
            foreach (MemberInfo mbrInfo in mbrInfoArray)
            {
                Console.WriteLine("{0} は {1}",
                        mbrInfo, mbrInfo.MemberType);
            }
        }
    }
}