﻿using System;
using System.Linq;
using System.Reflection;

namespace UsingASpecificType
{
    public class Tester
    {
        public static void Main()
        {
            // 1つの型情報を取り出します
            Assembly a = Assembly.Load("Mscorlib");

            var matchingTypes = from t in a.GetTypes()
                                where typeof(MemberInfo).IsAssignableFrom(t)
                                select t;

            foreach (Type t in matchingTypes)
            {
                Console.WriteLine(t);
            }
        }
    }
}