﻿using System.Collections.Generic;
using System.Linq;

class Program
{
    static void Main()
    {
        // 例18-15 IEnumerable<int> をdynamic に置き換える
        dynamic numbers = Enumerable.Range(1, 10);

        // 実行時にエラーが発生します。
        int total = numbers.Sum();

        // 以下のコードはコンパイルすらできません(理由については本文を参照)。
        // falseをtrueに変更するとエラーが確認できます。
#if false
        // 例18-16 ラムダ式と型
        int total = numbers.Sum(x => x * x);
#endif
    }
}