﻿using System;
using System.Collections.Generic;
using System.Dynamic;

namespace ExpandoExamples
{
    class Program
    {
        static void Main(string[] args)
        {
            // 例18-17 動的プロパティを設定する
            dynamic dx = new ExpandoObject();
            dx.MyProperty = true;
            dx.AnotherProperty = 42;

            // 例18-18 動的プロパティをイテレートする
            foreach (KeyValuePair<string, object> prop in dx)
            {
                Console.WriteLine(prop.Key + ": " + prop.Value);
            }

            // 例18-19 辞書であり動的オブジェクトでもあるExpandoObject
            ExpandoObject xo = new ExpandoObject();
            IDictionary<string, object> dictionary = xo;
            dictionary["Foo"] = "Bar";
            dynamic dyn = xo;
            Console.WriteLine(dyn.Foo);
        }
    }
}
