﻿using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;

namespace SilverlightScript
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void OldClick(object sender, RoutedEventArgs e)
        {
            // 例18-8 C# 3.0 でJavaScript にアクセスする
            ScriptObject showMessage = (ScriptObject)
                HtmlPage.Window.GetProperty("showMessage");
            showMessage.InvokeSelf("Hello, world");

            // または...

            ScriptObject window = HtmlPage.Window;
            window.Invoke("showMessage", "Hello, world");
        }

        private void NewClick(object sender, RoutedEventArgs e)
        {
            // 例18-9 C# 4.0 でJavaScript にアクセスする
            dynamic window = HtmlPage.Window;
            window.showMessage("Hello, world");
        }
    }
}
