﻿using System;
using System.IO;

namespace NewOfficeInterop
{
    class Program
    {
        // 例1-4 C# 4.0 によるOffice 連携プログラム
        static void Main(string[] args)
        {
            string path = Path.Combine(
                Directory.GetCurrentDirectory(),
                @"WordFile.docx");

            var wordApp = new Microsoft.Office.Interop.Word.Application();
            Microsoft.Office.Interop.Word._Document doc =
                wordApp.Documents.Open(path, ReadOnly: true);
            dynamic docProperties = doc.BuiltInDocumentProperties;
            string authorName = docProperties["Author"].Value;
            doc.Close(SaveChanges: false);
            Console.WriteLine(authorName);
        }
    }
}
