﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RaceInfo
{
    class Program
    {
        static void Main(string[] args)
        {
            double kmTravelled = double.Parse(args[0]);
            double elapsedSeconds = double.Parse(args[1]);
            double fuelKilosConsumed = double.Parse(args[2]);

            // 例2-9 ifステートメント
            double fuelTankCapacityKilos = 80;
            double lapLength = 5.141;

            double fuelKilosPerKm = fuelKilosConsumed / kmTravelled;
            double fuelKilosRemaining = fuelTankCapacityKilos - fuelKilosConsumed;
            double predictedDistanceUntilOutOfFuel = fuelKilosRemaining / fuelKilosPerKm;
            double predictedLapsUntilOutOfFuel =
                predictedDistanceUntilOutOfFuel / lapLength;

            if (predictedLapsUntilOutOfFuel < 4)
            {
                Console.WriteLine("燃料が残りわずかです。走行可能な周回数：" +
                predictedLapsUntilOutOfFuel);
            }


            // 例2-10をコンパイルするためには追加の変数が必要です。
            // 実際のアプリケーションではこれらの値はプログラムの引数、あるいは
            // データベースから受け取ることになるでしょう。このことからもわかるように
            // このプログラムをそのままの形で利用することは現実的ではありません。
            bool ourDriverCausedIncident = false;
            bool feelingGenerous = true;


            // 例2-10 ifおよびelseを使用して複数の条件を判断する
            string raceStatus = args[3];
            if (raceStatus == "YellowFlag")
            {
                // 速度を落とすようドライバーに指示します。
                Driver.TellNotToOvertake();
            }
            else if (raceStatus == "SafetyCar")
            {
                // セーフティカーに注意するようドライバーに指示します。
                Driver.WarnAboutSafetyCar();
            }
            else if (raceStatus == "RedFlag")
            {
                if (ourDriverCausedIncident)
                {
                    // 自身のチームが事故を起こした場合、
                    // 新しい車を発注しドライバーを減給します。
                    Factory.OrderNewCar();
                    Driver.ReducePay();
                    if (feelingGenerous)
                    {
                        // 気前が良いオーナーであればドライバーを励まします。
                        Driver.Resuscitate();
                    }
                }
                else
                {
                    // 別のチームによる事故であればピットへ戻るようドライバーに指示します。
                    Driver.CallBackToPit();
                }
            }
            else
            {
                // 速度を上げてレースを再開するようドライバーに指示します。
                Driver.TellToDriveFaster();
            }
        }
    }
}