﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

class Plane
{
    public Plane(string newIdentifier)
    {
        Identifier = newIdentifier;
    }

    public string Identifier
    {
        get;
        private set;
    }

    // 例3-8 変更可能な速度用のプロパティ
    public double SpeedInMilesPerHour
    {
        get;
        set;
    }

    // 例3-9 get アクセサとset アクセサを持つプロパティ
    public double SpeedInKilometersPerHour
    {
        get
        {
            return SpeedInMilesPerHour * 1.609344;
        }
        set
        {
            SpeedInMilesPerHour = value / 1.609344;
        }
    }
}
