﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

class Plane
{
    public Plane(string newIdentifier)
    {
        Identifier = newIdentifier;
    }

    public string Identifier
    {
        get;
        private set;
    }

    // 例3-12 単純なプロパティを独自に実装する
    // SpeedInMilesPerHourプロパティの値を保持するフィールド
    double speedInMilesPerHourValue;
    public double SpeedInMilesPerHour
    {
        get
        {
            return speedInMilesPerHourValue;
        }
        set
        {
            speedInMilesPerHourValue = value;
        }
    }

    public double SpeedInKilometersPerHour
    {
        get
        {
            return SpeedInMilesPerHour * 1.609344;
        }
        set
        {
            SpeedInMilesPerHour = value / 1.609344;
        }
    }
}
