﻿using System;

// 例3-42 static 状態
public class MyClassWithAStaticProperty
{
    public static bool TrueOrFalse
    {
        get;
        set;
    }
    public void SayWhetherTrueOrFalse()
    {
        Console.WriteLine("オブジェクトは{0}です。", TrueOrFalse);
    }
}
class Program
{
    static void Main(string[] args)
    {
        // 2つのオブジェクトを作成
        MyClassWithAStaticProperty object1 = new MyClassWithAStaticProperty();
        MyClassWithAStaticProperty object2 = new MyClassWithAStaticProperty();
        // プロパティが各オブジェクトから参照した場合と
        // クラスの名前を通して参照した場合とでどのように見えるのか確認します。
        object1.SayWhetherTrueOrFalse(); object2.SayWhetherTrueOrFalse();
        Console.WriteLine("クラスは{0}です。",
        MyClassWithAStaticProperty.TrueOrFalse);
        // 値を変更します。
        MyClassWithAStaticProperty.TrueOrFalse = true;
        // すべての個所で変更されていることを確認します。
        object1.SayWhetherTrueOrFalse();
        object2.SayWhetherTrueOrFalse();
        Console.WriteLine("クラスは{0}です。",
        MyClassWithAStaticProperty.TrueOrFalse);
        Console.ReadKey();
    }
}