﻿using System;
using System.Windows;

// 例4-18 現在のクラス階層構造ではすべてがうまくいっていないという山積みの証拠
abstract class FirefighterBase : NamedPerson
{
    public abstract void ExtinguishFire();
    public override string Name
    {
        get
        {
            return RealName;
        }
    }
    public string RealName
    {
        get;
        set;
    }

    public void Drive(Firetruck truckToDrive, Point coordinates)
    {
        if (truckToDrive.Driver != this)
        {
            // 運転手でない場合は消防車を運転できません。
            return;
        }
        truckToDrive.Drive(coordinates);
    }
}