﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace FireTraining
{
    class Program
    {
        static void Main(string[] args)
        {
            FireStation station = new FireStation();

            // Hurryのナンバー・ワンであるJoeへの参照
            Firefighter joe = new Firefighter { RealName = "Joe" };

            // 見習いのBillへの参照
            FirefighterBase bill = new TraineeFirefighter { RealName = "Bill" };

            // Harry再登場
            FireChief bigChiefHarry = new FireChief { RealName = "Harry" };

            // そして管理スタッフとしてArthur登場
            Administrator arthur = new Administrator
            {
                Title = "Mr",
                Forename = "Arthur",
                Surname = "Askey"
            };

            station.ClockIn(joe);
            station.ClockIn(bill);
            station.ClockIn(bigChiefHarry);
            station.ClockIn(arthur);

            station.RollCall();

            Console.ReadKey();
        }
    }
}
