﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace FireTraining
{
    // 例4-25 同一のオブジェクトに対して、同一名のメンバーを異なるインタフェースから呼び出す
    class Program
    {
        static void Main(string[] args)
        {
            AFootInBothCamps both = new AFootInBothCamps();

            ISettableNamedPerson settablePerson = both;
            INamedPerson namedPerson = both;

            settablePerson.Name = "hello";

            Console.WriteLine(settablePerson.Name);
            Console.WriteLine(namedPerson.Name);

            // エラー：
            //   'AFootInBothCamps' に 'Name' の定義が含まれておらず、
            //   型 'AFootInBothCamps' の最初の引数を受け付ける拡張メソッドが見つかりませんでした。
            //   using ディレクティブまたはアセンブリ参照が不足しています。
            //Console.WriteLine(both.Name);

            Console.ReadKey();
        }
    }
}
