﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DocumentProcessing
{
    static class DocumentProcesses
    {
        public static void Spellcheck(Document doc)
        {
            Console.WriteLine("文書のスペルチェックを実行しました。");
        }

        public static void Repaginate(Document doc)
        {
            Console.WriteLine("文書のページ番号を振り直しました。");
        }

        public static void TranslateIntoFrench(Document doc)
        {
            Console.WriteLine("文書を日本語に翻訳しました。");
        }

        // ...
    }

    // 例5-6 abstract DocumentProcessの実装
    class SpellcheckProcess : DocumentProcess
    {
        public override void Process(Document doc)
        {
            DocumentProcesses.Spellcheck(doc);
        }
    }
    class RepaginateProcess : DocumentProcess
    {
        public override void Process(Document doc)
        {
            DocumentProcesses.Repaginate(doc);
        }
    }
    class TranslateIntoFrenchProcess : DocumentProcess
    {
        public override void Process(Document doc)
        {
            DocumentProcesses.TranslateIntoFrench(doc);
        }
    }
}
