﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DocumentProcessing
{
    // 例5-5 より柔軟な文書プロセッサー
    class DocumentProcessor
    {
        private readonly List<DocumentProcess> processes =
            new List<DocumentProcess>();

        public List<DocumentProcess> Processes
        {
            get
            {
                return processes;
            }
        }

        public void Process(Document doc)
        {
            foreach (DocumentProcess process in Processes)
            {
                process.Process(doc);
            }
        }
    }
}
