﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DocumentProcessing
{
    // 例5-9 デリゲートを使用するようにDocumentProcessを修正する
    class DocumentProcessor
    {
        private readonly List<DocumentProcess> processes =
        new List<DocumentProcess>();
        public List<DocumentProcess> Processes
        {
            get
            {
                return processes;
            }
        }
        // NOTE: 以下のコードは本書の例5-9とは異なります。
        //  本書でも説明している通り、元々のコードはこの時点で動作しないものになっています。
        //  そのため以下のコードは例5-9よりも少し先で説明しているものに修正してあります。
        public void Process(Document doc)
        {
            foreach (DocumentProcess process in Processes)
            {
                process(doc);
            }
        }
    }
}
