﻿using System;

namespace Composing
{
    class Program
    {
        static void Fragments()
        {
            // 例10-55 文字列の連結
            string fragment1 = "To be, ";
            string fragment2 = "or not to be.";
            string composedString = fragment1 + fragment2;
            Console.WriteLine(composedString);

            // 例10-56 String.Concat の明示的な呼び出し
            string composedString2 = string.Concat(fragment1, fragment2);
            Console.WriteLine(composedString2);
        }

        // 例10-57 文字列配列の連結
        static void Main(string[] args)
        {
            string[] strings = Soliloquize();
            // 以下をfalseに変更すると例10-58が確認できます。
#if true
            string output = String.Concat(strings);
#else
            // 例10-58 String.Join
            string output = String.Join(Environment.NewLine, strings);
#endif
            Console.WriteLine(output);
            Console.ReadKey();
        }
        private static string[] Soliloquize()
        {
            return new string[] {
                "To be, or not to be--that is the question:",
                "Whether 'tis nobler in the mind to suffer",
                "The slings and arrows of outrageous fortune",
                "Or to take arms against a sea of troubles",
                "And by opposing end them." };
        }
    }
}
