﻿using System;
using System.Text;

namespace StringBuilderExamples
{
    class Program
    {
        static void Main(string[] args)
        {
            {
                // 例10-65 Capacity とLength
                StringBuilder builder1 = new StringBuilder();
                StringBuilder builder2 = new StringBuilder(1024);

                Console.WriteLine(builder1.Capacity);
                Console.WriteLine(builder1.Length);

                Console.WriteLine(builder2.Capacity);
                Console.WriteLine(builder1.Length);
            }
            Console.WriteLine();
            {
                // 例10-66 容量の調査
                StringBuilder builder1 = new StringBuilder();
                StringBuilder builder2 = new StringBuilder(1024);

                Console.WriteLine(builder1.Capacity);
                Console.WriteLine(builder1.Length);
                Console.WriteLine(builder2.Capacity);
                Console.WriteLine(builder2.Length);

                builder1.Append('A', 24);
                builder2.Append('A', 24);

                Console.WriteLine(builder1.Capacity);
                Console.WriteLine(builder1.Length);
                Console.WriteLine(builder2.Capacity);
                Console.WriteLine(builder2.Length);


                Console.WriteLine();

                // 例10-67 さらにテキストを追加
                builder1.Append('B', 12);
                Console.WriteLine(builder1.Capacity);
                Console.WriteLine(builder1.Length);


                Console.WriteLine();

                // 例10-68 さらにテキストを追加
                builder1.Append('C', 30);
                Console.WriteLine(builder1.Capacity);
                Console.WriteLine(builder1.Length);


                Console.WriteLine();

                // 例10-69 容量の確保
                builder1.EnsureCapacity(32000);
                Console.WriteLine(builder1.Capacity);
                Console.WriteLine(builder1.Length);


                Console.WriteLine();

                // 例10-70 容量を減らそうとしてみる
                builder1.EnsureCapacity(70);
                Console.WriteLine(builder1.Capacity);
                Console.WriteLine(builder1.Length);
            }
        }
    }
}
