﻿using System;
using System.Text;

namespace Utf16Example2
{
    class Program
    {
        // 例10-84 エンコードされたテキストのバイト値を示す
        static void Main(string[] args)
        {
            string listenUpFR = "Écoute-moi!";
            
            byte[] utf16Bytes = Encoding.Unicode.GetBytes(listenUpFR);
            // または...
            // 例10-85 ビッグエンディアンのUTF-16 を使用する
            //byte[] utf16Bytes = Encoding.BigEndianUnicode.GetBytes(listenUpFR);

            Console.WriteLine("UTF-16");
            Console.WriteLine("-----");
            foreach (var encodedByte in utf16Bytes)
            {
                Console.Write(string.Format("{0:X2}", encodedByte));
                Console.Write(" ");
            }
            Console.ReadKey();
        }
    }
}
