﻿using System;
using ChatClient.ChatService;

namespace ChatClient
{
    class Program
    {
        // 例13-7 入力ループを持ったクライアント
        static void Main(string[] args)
        {
            ChatServiceClient chatProxy = new ChatServiceClient();

            Console.WriteLine("名前を入力してください:");
            string name = Console.ReadLine();
            while (true)
            {
                Console.WriteLine("ノートを入力します(入力せずにEnterキーで終了します):");
                string note = Console.ReadLine();
                if (string.IsNullOrEmpty(note))
                {
                    break;
                }
                chatProxy.PostNote(name, note);
            }
        }
    }
}
