﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace ChatServerLibrary
{
    // NOTE: [リファクター]の[名前の変更]を選択してIService1インターフェイスの名前を変更することにより、コードと設定ファイルを同時に変更できます。
    public class Service1 : IService1
    {
        public string GetData(int value)
        {
            return string.Format("入力された値: {0}", value);
        }

        public CompositeType GetDataUsingDataContract(CompositeType composite)
        {
            if (composite == null)
            {
                throw new ArgumentNullException("composite");
            }
            if (composite.BoolValue)
            {
                composite.StringValue += "Suffix";
            }
            return composite;
        }
    }
}
