﻿using System;
using System.ServiceModel;
using ChatClient.ChatService;

namespace ChatClient
{
    // 例13-10 クライアント側コールバックインタフェースの実装
    [CallbackBehavior(ConcurrencyMode = ConcurrencyMode.Reentrant)]
    class ChatCallback : IChatServiceCallback
    {
        public void NotePosted(string from, string note)
        {
            Console.WriteLine("{0}: {1}", from, note);
        }
    }
}
