﻿using System;
using System.Net;
using System.ComponentModel;
using System.Windows.Forms;
using System.Threading;

namespace WebClientExamples
{
    class Program
    {
        static void Main(string[] args)
        {
            // 例13-11 WebClientを使用してコンテンツを取得する
            WebClient client = new WebClient();
            string pageContent = client.DownloadString("http://oreilly.com/");

            Console.WriteLine(pageContent);


            byte[] data =
                client.DownloadData("http://oreilly.com/images/oreilly/oreilly_large.gif");

            client.DownloadFile("http://oreilly.com/", @"c:\temp\oreilly.html");

            client.DownloadFileCompleted += OnDownloadComplete;
            client.DownloadFileAsync(new Uri("http://oreilly.com/"), @"C:\temp\");

            Thread.Sleep(1000 * 60 * 60);
        }

        static void OnDownloadComplete(object sender, AsyncCompletedEventArgs e)
        {
            MessageBox.Show("ダウンロード完了");
        }
    }
}
