﻿using System;
using System.Linq;
using WcfDsClient.ServiceReference1;

namespace WcfDsClient
{
    class Program
    {
        static void Main(string[] args)
        {
            // 例14-23 クライアントサイドのWCF Data Service コード
            var ctx = new AdventureWorksLT2008Entities(
                new Uri("http://localhost:1181/MyData.svc"));
            var customers = from customer in ctx.Customers
                            where customer.FirstName == "Cory"
                            select customer;

            foreach (Customer customer in customers)
            {
                Console.WriteLine(customer.CompanyName);
            }
        }
    }
}
