﻿using System.Data.Services;

namespace WcfDsExamples
{
    public class MyData : DataService<AdventureWorksLT2008Entities>
    {
        // 例14-21 エンティティを利用可能に設定する
        public static void InitializeService(IDataServiceConfiguration config)
        {
            config.SetEntitySetAccessRule("Customers",
                                          EntitySetRights.AllRead);
            config.SetEntitySetAccessRule("SalesOrderHeaders",
                                          EntitySetRights.AllRead);
            config.SetEntitySetAccessRule("SalesOrderDetails",
                                          EntitySetRights.AllRead);
        }
    }
}
