﻿using System;
using System.Threading;

namespace MonitorCoordination
{
    // 例16-15 WaitForIt の使用
    class Program
    {
        static void Main(string[] args)
        {
            WaitForIt waiter = new WaitForIt();

            ThreadStart twork = delegate
            {
                Console.WriteLine("スレッド実行中...");
                Thread.Sleep(1000);
                Console.WriteLine("通知中");
                waiter.GoNow();
                Console.WriteLine("通知終了");
                Thread.Sleep(1000);
                Console.WriteLine("スレッド終了中...");
            };

            Thread t = new Thread(twork);
            Console.WriteLine("新しいスレッドを開始しています");
            t.Start();
            Console.WriteLine("スレッドが動き出すまで待機しています");
            waiter.WaitUntilReady();
            Console.WriteLine("待ち時間終了");
        }
    }
}
