﻿using System.Threading;

namespace MonitorCoordination
{
    // 例16-14 Monitor によりスレッドを協調する
    class WaitForIt
    {
        private bool canGo;
        private object lockObject = new object();
        public void WaitUntilReady()
        {
            lock (lockObject)
            {
                while (!canGo)
                {
                    Monitor.Wait(lockObject);
                }
            }
        }
        public void GoNow()
        {
            lock (lockObject)
            {
                canGo = true;
                // 出かける前に起こしてよ！
                Monitor.PulseAll(lockObject);
            }
        }
    }
}
