﻿using System;
using System.Threading.Tasks;

namespace TplExamples
{
    class Program
    {
        // 例16-18 ラムダ式を使用してより多くの引数を渡す
        static void Main(string[] args)
        {
            Task.Factory.StartNew(() => Go("One", 100));
            Task.Factory.StartNew(() => Go("Two", 500));

            Console.ReadKey();
        }

        static void Go(string name, int iterations)
        {
            for (int i = 0; i < iterations; ++i)
            {
                Console.WriteLine("{0}: {1}", name, i);
            }
        }
    }
}